Get run metrics
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/runs/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAfter": "<string>",
"createdBefore": "<string>"
}
'import requests
url = "https://api.getcargo.io/v1/orchestration/runs/metrics"
payload = {
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAfter": "<string>",
"createdBefore": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflowUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
releaseUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
batchUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAfter: '<string>',
createdBefore: '<string>'
})
};
fetch('https://api.getcargo.io/v1/orchestration/runs/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runMetrics": [
{
"nodeUuid": "<string>",
"totalExecutionsCount": 123,
"idleExecutionsCount": 123,
"pendingExecutionsCount": 123,
"runningExecutionsCount": 123,
"successExecutionsCount": 123,
"errorExecutionsCount": 123,
"cancellingExecutionsCount": 123,
"cancelledExecutionsCount": 123,
"skippedExecutionsCount": 123,
"creditsUsedCount": 123
}
]
}Orchestration - Runs
Get run metrics
Get metrics for orchestration runs
POST
/
orchestration
/
runs
/
metrics
Get run metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
Workflow identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Release identifier to filter by.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Batch identifier to filter by.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Include runs created after this timestamp.
Include runs created before this timestamp.
Response
Successful response
Aggregated run metrics.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

